commit:     1da05522000f97a2d19ecda3bf2918cc74335033
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 20:45:54 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 20:46:25 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1da05522

dev-python/montage-wrapper: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/montage-wrapper/Manifest                |  1 +
 .../montage-wrapper/montage-wrapper-0.9.9.ebuild   | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/montage-wrapper/Manifest 
b/dev-python/montage-wrapper/Manifest
index 92a8c29be9f..597dd8550fe 100644
--- a/dev-python/montage-wrapper/Manifest
+++ b/dev-python/montage-wrapper/Manifest
@@ -1 +1,2 @@
 DIST montage-wrapper-0.9.8.tar.gz 208240 SHA256 
8f7c468f602e3fa38907e481abaede08fbc4cd17faae0b82d86638c0418aa98e SHA512 
a9aeb48f86d055448fdfed3a5c3762b554627db10f1374cbd3f7af6002721ae04e9f47828c2084147be40f79c1c4ce6e56568bf61a6cdd78a31ce91de6365ec1
 WHIRLPOOL 
f224a4fe9dba626700e85a78b309f5db0bf1bac26d27457f6f3eb8a53ae58effbe70043c8c1f311029e36e36082540a9da634821df75366056e9ecb7dbc602f1
+DIST montage-wrapper-0.9.9.tar.gz 187490 SHA256 
cdf7722297c95ef0c3065de96636d467cb9db4049298f4df10957d209e64a724 SHA512 
a113a9f1ca03ca158ed6d8a4520c6710804a5ac10bae3dd0c0231390f771479c43f0cdd08e302c59ac1d608c4865d4b0d7a3a233ad068d40d3f1c0efbc343533
 WHIRLPOOL 
7c669455641c11963f0da97fa210efb41324dfba9ffa49f45e68b0ca96747472d1024b56e2a851043eb19362d5e4421e16e17b1cd1b1aabfb6f73d8ea1302ec7

diff --git a/dev-python/montage-wrapper/montage-wrapper-0.9.9.ebuild 
b/dev-python/montage-wrapper/montage-wrapper-0.9.9.ebuild
new file mode 100644
index 00000000000..409d24f2765
--- /dev/null
+++ b/dev-python/montage-wrapper/montage-wrapper-0.9.9.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for the Montage mosaicking toolkit"
+HOMEPAGE="http://www.astropy.org/montage-wrapper/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+       dev-python/astropy[${PYTHON_USEDEP}]
+       sci-astronomy/montage"
+DEPEND="
+       dev-python/astropy[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( sci-astronomy/montage )"
+
+python_prepare_all() {
+       # use system astropy-helpers instead of bundled one
+       sed -i -e '/auto_use/s/True/False/' setup.cfg || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               PYTHONPATH=".." emake -C docs html
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       esetup.py test || die "tests failed with ${EPYTHON}"
+}

Reply via email to